Bug 969624 - [abrt] repsnapper-2.2.0-0.1.a2.fc18: gobj: Process /usr/bin/repsnapper was killed by signal 11 (SIGSEGV)
[abrt] repsnapper-2.2.0-0.1.a2.fc18: gobj: Process /usr/bin/repsnapper was ki...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: repsnapper (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
abrt_hash:7a93f013c9a1406c648ed9fcfe7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 22:11 EDT by Joseph Fraser
Modified: 2013-06-13 22:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: repsnapper-2.2.0-0.2.a4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 23:31:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.79 KB, text/plain)
2013-05-31 22:11 EDT, Joseph Fraser
no flags Details
File: cgroup (129 bytes, text/plain)
2013-05-31 22:11 EDT, Joseph Fraser
no flags Details
File: core_backtrace (201 bytes, text/plain)
2013-05-31 22:12 EDT, Joseph Fraser
no flags Details
File: dso_list (11.06 KB, text/plain)
2013-05-31 22:12 EDT, Joseph Fraser
no flags Details
File: environ (1.37 KB, text/plain)
2013-05-31 22:12 EDT, Joseph Fraser
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-31 22:12 EDT, Joseph Fraser
no flags Details
File: maps (35.82 KB, text/plain)
2013-05-31 22:12 EDT, Joseph Fraser
no flags Details
File: open_fds (1.10 KB, text/plain)
2013-05-31 22:12 EDT, Joseph Fraser
no flags Details
File: proc_pid_status (789 bytes, text/plain)
2013-05-31 22:12 EDT, Joseph Fraser
no flags Details
File: var_log_messages (391 bytes, text/plain)
2013-05-31 22:12 EDT, Joseph Fraser
no flags Details
File: xsession_errors (230 bytes, text/plain)
2013-05-31 22:12 EDT, Joseph Fraser
no flags Details

  None (edit)
Description Joseph Fraser 2013-05-31 22:11:50 EDT
Version-Release number of selected component:
repsnapper-2.2.0-0.1.a2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 3
cmdline:        repsnapper _OR_U
crash_function: gobj
executable:     /usr/bin/repsnapper
kernel:         3.9.4-200.fc18.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 gobj at ../pangomm/font.h:108
 #1 Pango::Font::get_metrics at font.cc:40
 #2 Render::on_realize at src/render.cpp:166
 #3 ??
Comment 1 Joseph Fraser 2013-05-31 22:11:55 EDT
Created attachment 755439 [details]
File: backtrace
Comment 2 Joseph Fraser 2013-05-31 22:11:58 EDT
Created attachment 755440 [details]
File: cgroup
Comment 3 Joseph Fraser 2013-05-31 22:12:01 EDT
Created attachment 755441 [details]
File: core_backtrace
Comment 4 Joseph Fraser 2013-05-31 22:12:04 EDT
Created attachment 755442 [details]
File: dso_list
Comment 5 Joseph Fraser 2013-05-31 22:12:07 EDT
Created attachment 755443 [details]
File: environ
Comment 6 Joseph Fraser 2013-05-31 22:12:11 EDT
Created attachment 755444 [details]
File: limits
Comment 7 Joseph Fraser 2013-05-31 22:12:14 EDT
Created attachment 755445 [details]
File: maps
Comment 8 Joseph Fraser 2013-05-31 22:12:17 EDT
Created attachment 755446 [details]
File: open_fds
Comment 9 Joseph Fraser 2013-05-31 22:12:20 EDT
Created attachment 755447 [details]
File: proc_pid_status
Comment 10 Joseph Fraser 2013-05-31 22:12:23 EDT
Created attachment 755448 [details]
File: var_log_messages
Comment 11 Joseph Fraser 2013-05-31 22:12:26 EDT
Created attachment 755449 [details]
File: xsession_errors
Comment 12 Miro Hrončok 2013-06-01 07:33:17 EDT
Hi, do you know what happened before the crash? Can you reproduce it? Thanks.
Comment 13 Joseph Fraser 2013-06-01 08:26:41 EDT
(In reply to Miro Hrončok from comment #12)
> Hi, do you know what happened before the crash? Can you reproduce it? Thanks.

Hi,
no dont sorry all i did was open the app and then crashed
Comment 14 Miro Hrončok 2013-06-01 08:46:21 EDT
And if you open it again, does the crash reoccur?
Comment 15 Joseph Fraser 2013-06-01 17:19:56 EDT
(In reply to Miro Hrončok from comment #14)
> And if you open it again, does the crash reoccur?

yes i tried to open it few times but it crashed everutime
Comment 16 Miro Hrončok 2013-06-02 07:19:11 EDT
If you run repsnapper command from the terminal, is attachment 755449 [details] the only output?
Comment 17 Joseph Fraser 2013-06-02 10:38:20 EDT
yep thats all i see
Comment 18 Miro Hrončok 2013-06-02 15:56:06 EDT
I just tried to reproduce this bug and it seems it is not present in Xfce desktop, but is present in GNOME one.

What I got in output (together with attachment 755449 [details]) is the message Can't load font sans 8. You got that one too, right?
Comment 19 Joseph Fraser 2013-06-02 21:13:15 EDT
yep i get the same error 

Parsing config from '/home/xxxx/.config/repsnapper/repsnapper.conf

(repsnapper:14308): GdkGLExt-WARNING **: cannot find PangoXSubfont
*** Can't load font sans 8

(repsnapper:14308): Gtk-CRITICAL **: IA__gtk_main_quit: assertion `main_loops != NULL' failed
Segmentation fault (core dumped)
Comment 20 Fedora Update System 2013-06-03 07:17:46 EDT
repsnapper-2.2.0-0.2.a4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/repsnapper-2.2.0-0.2.a4.fc19
Comment 21 Fedora Update System 2013-06-03 07:18:38 EDT
repsnapper-2.2.0-0.2.a4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/repsnapper-2.2.0-0.2.a4.fc18
Comment 22 Fedora Update System 2013-06-03 07:19:13 EDT
repsnapper-2.2.0-0.2.a4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/repsnapper-2.2.0-0.2.a4.fc17
Comment 23 Miro Hrončok 2013-06-03 07:21:07 EDT
This update fixes the issue for me. If you are not in hurry, wait for the package to reach testing repository. If you want to try immediately, download the package from Koji: http://kojipkgs.fedoraproject.org//packages/repsnapper/2.2.0/0.2.a4.fc18/i686/repsnapper-2.2.0-0.2.a4.fc18.i686.rpm
Comment 24 Fedora Update System 2013-06-03 10:41:25 EDT
Package repsnapper-2.2.0-0.2.a4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing repsnapper-2.2.0-0.2.a4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9896/repsnapper-2.2.0-0.2.a4.fc19
then log in and leave karma (feedback).
Comment 25 Fedora Update System 2013-06-11 23:31:27 EDT
repsnapper-2.2.0-0.2.a4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-06-13 22:29:35 EDT
repsnapper-2.2.0-0.2.a4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2013-06-13 22:34:15 EDT
repsnapper-2.2.0-0.2.a4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.